Debian Bug report logs - #539952
lxterminal doesn't pass Alt-number keys

version graph

Package: lxterminal; Maintainer for lxterminal is Debian LXDE Maintainers <lxde-debian@lists.lxde.org>; Source for lxterminal is src:lxterminal.

Reported by: Giacomo Catenazzi <cate@debian.org>

Date: Tue, 4 Aug 2009 18:18:01 UTC

Severity: normal

Tags: fixed-upstream

Found in versions lxterminal/0.1.6-1, lxterminal/0.1.7-1, lxterminal/0.1.8-2

Fixed in version lxterminal/0.1.8-1

Done: Andrew Lee (李健秋) <ajqlee@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/?func=detail&aid=3006779&group_id=180858&atid=894869

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andrew Lee <andrew@linux.org.tw>:
Bug#539952; Package lxterminal. (Tue, 04 Aug 2009 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giacomo Catenazzi <cate@debian.org>:
New Bug report received and forwarded. Copy sent to Andrew Lee <andrew@linux.org.tw>. (Tue, 04 Aug 2009 18:18:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Giacomo Catenazzi <cate@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lxterminal doesn't pass Alt-number keys
Date: Tue, 04 Aug 2009 20:14:12 +0200
Package: lxterminal
Version: 0.1.6-1
Severity: normal

lxterminal doesn't pass to applications the Alt-1 to Alt-9 keys
(Alt-0 and Alt-letters works as expected). This is annoying when
using "irssi".

ciao
	cate


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-rc4-00405-gb592972 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages lxterminal depends on:
ii  libatk1.0-0                   1.26.0-1   The ATK accessibility toolkit
ii  libc6                         2.9-23     GNU C Library: Shared libraries
ii  libcairo2                     1.8.8-2    The Cairo 2D vector graphics libra
ii  libfontconfig1                2.6.0-4    generic font configuration library
ii  libfreetype6                  2.3.9-5    FreeType 2 font engine, shared lib
ii  libglib2.0-0                  2.20.4-1   The GLib library of C routines
ii  libgtk2.0-0                   2.16.5-1   The GTK+ graphical user interface 
ii  libpango1.0-0                 1.24.5-1   Layout and rendering of internatio
ii  libvte9                       1:0.20.5-1 Terminal emulator widget for GTK+ 
ii  libx11-6                      2:1.2.2-1  X11 client-side library

lxterminal recommends no packages.

lxterminal suggests no packages.

-- no debconf information




Reply sent to Andrew Lee (李健秋) <ajqlee@debian.org>:
You have taken responsibility. (Mon, 15 Mar 2010 10:21:08 GMT) Full text and rfc822 format available.

Notification sent to Giacomo Catenazzi <cate@debian.org>:
Bug acknowledged by developer. (Mon, 15 Mar 2010 10:21:08 GMT) Full text and rfc822 format available.

Message #10 received at 539952-close@bugs.debian.org (full text, mbox):

From: Andrew Lee (李健秋) <ajqlee@debian.org>
To: 539952-close@bugs.debian.org
Subject: Bug#539952: fixed in lxterminal 0.1.7-1
Date: Mon, 15 Mar 2010 10:17:25 +0000
Source: lxterminal
Source-Version: 0.1.7-1

We believe that the bug you reported is fixed in the latest version of
lxterminal, which is due to be installed in the Debian FTP archive:

lxterminal_0.1.7-1.debian.tar.gz
  to main/l/lxterminal/lxterminal_0.1.7-1.debian.tar.gz
lxterminal_0.1.7-1.dsc
  to main/l/lxterminal/lxterminal_0.1.7-1.dsc
lxterminal_0.1.7-1_i386.deb
  to main/l/lxterminal/lxterminal_0.1.7-1_i386.deb
lxterminal_0.1.7.orig.tar.gz
  to main/l/lxterminal/lxterminal_0.1.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 539952@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Lee (李健秋) <ajqlee@debian.org> (supplier of updated lxterminal package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 15 Mar 2010 16:48:05 +0700
Source: lxterminal
Binary: lxterminal
Architecture: source i386
Version: 0.1.7-1
Distribution: unstable
Urgency: low
Maintainer: Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>
Changed-By: Andrew Lee (李健秋) <ajqlee@debian.org>
Description: 
 lxterminal - desktop independent vte-based terminal emulator
Closes: 532492 539952 555577 565979
Changes: 
 lxterminal (0.1.7-1) unstable; urgency=low
 .
   * New upstream release (Closes: #532492, #539952, #565979)
     - Fix segfault after inaccessible configuration file
     - Fix accelerator-related bug
     - Set cwd of new tab equal to the cwd of the current tab for Linux only
     - Support "CTRL+Left Click" to use xdg-open to open URL with webbrowser
     - Use intltool to generate desktop file
     - Added option for cursor blinking.
     - Preferences are now sorted into 3 tabs.
     - Added login shell.
     - Removed "Transparent Background" checkbox (transparency still can be
       set via background color).
     - Fixed a bug which parameters with space cannot be fully sent with gio.
     - Added features to hide menubar and scrollbar
     - set tooltip (window title) on tabs
     - Update translation. Manual updated.
   * debian/control:
     - Added Vcs-Git and Vcs-Browser tags
     - Team maintainer: Debian LXDE Packaging Team
         <pkg-lxde-maintainers@lists.alioth.debian.org>
     - Put myself as uploader.
     - Bumped Stand-Version to 3.8.4
   * debian/rules:
     - Added -lX11 flag (Closes:#555577)
   * Switch to dpkg-source 3.0 (quilt) format
Checksums-Sha1: 
 55a58f4ec4ec357935f420cbf1a573507c164e76 1353 lxterminal_0.1.7-1.dsc
 b689f753238faf610a361a524eca24e1583b7f94 253943 lxterminal_0.1.7.orig.tar.gz
 d0ff025aa3b05f60d95d45b9e4f392923498d922 8650 lxterminal_0.1.7-1.debian.tar.gz
 982c059127456f2bbce4167218316037750fc1b6 87070 lxterminal_0.1.7-1_i386.deb
Checksums-Sha256: 
 7093c358eb62ad02d181d7f7c9061b00726ff878459da26fdaa6185f1ce7028e 1353 lxterminal_0.1.7-1.dsc
 1209d760778c96150042b2248da258deed73c32fc140f9466ec838a5508c6a66 253943 lxterminal_0.1.7.orig.tar.gz
 ebf64b506026482291627d0aff2593390da8c26701ab6ceb1c8316860c8ab309 8650 lxterminal_0.1.7-1.debian.tar.gz
 bfbf23bd845573ef17d55df111882730e0371f2a096e26c40d634bd565f9fb5e 87070 lxterminal_0.1.7-1_i386.deb
Files: 
 68d8c11403ea66cf25eda13372631fb9 1353 x11 extra lxterminal_0.1.7-1.dsc
 b9123d3736c7c37a59c406ff4ee0b26c 253943 x11 extra lxterminal_0.1.7.orig.tar.gz
 bab5142eae53f6e875e1df213b6bb4c3 8650 x11 extra lxterminal_0.1.7-1.debian.tar.gz
 e0596d601793d3bca0267af5cf572afc 87070 x11 extra lxterminal_0.1.7-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkueBw4ACgkQnQYz4bYlCYVn3gCfVRsf80tVrCoCl76Gf3dZsf9l
nK8AoJYjYRxOcEIalT9adxBcLnaUD8GW
=9iXJ
-----END PGP SIGNATURE-----





Bug Marked as found in versions lxterminal/0.1.7-1; no longer marked as fixed in versions lxterminal/0.1.7-1 and reopened. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Sun, 18 Apr 2010 13:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>:
Bug#539952; Package lxterminal. (Sun, 18 Apr 2010 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>. (Sun, 18 Apr 2010 13:57:03 GMT) Full text and rfc822 format available.

Message #17 received at 539952@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 539952@bugs.debian.org
Cc: Giacomo Catenazzi <cate@debian.org>
Subject: Re: lxterminal doesn't pass Alt-number keys
Date: Sun, 18 Apr 2010 17:48:09 +0400
found 539952 0.1.7-1
thanks

The bug #539952 is only partially fixed in 0.1.7-1.
Before, only Alt+0 worked.  In 0.1.7-1, Alt+2..Alt+0
works (9 keys), but not Alt+1.  Running just "cat" in
the lxterminal and hitting Alt+2 - this produces
"^[2", Alt+3 - "^[3" and so on, but for Alt+1 there's
nothing produced.

So it is still annoying when using irssi, but not THAT
annoying as before :)

Thanks!

/mjt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>:
Bug#539952; Package lxterminal. (Sun, 18 Apr 2010 14:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>. (Sun, 18 Apr 2010 14:24:02 GMT) Full text and rfc822 format available.

Message #22 received at 539952@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 539952@bugs.debian.org
Cc: Giacomo Catenazzi <cate@debian.org>
Subject: Re: lxterminal doesn't pass Alt-number keys
Date: Sun, 18 Apr 2010 18:22:04 +0400
18.04.2010 17:48, Michael Tokarev wrote:
> The bug #539952 is only partially fixed in 0.1.7-1.
> Before, only Alt+0 worked. In 0.1.7-1, Alt+2..Alt+0
> works (9 keys), but not Alt+1. Running just "cat" in
> the lxterminal and hitting Alt+2 - this produces
> "^[2", Alt+3 - "^[3" and so on, but for Alt+1 there's
> nothing produced.
>
> So it is still annoying when using irssi, but not THAT
> annoying as before :)

Some more information about this (should be forwarded upstream
I guess).

In src/lxterminal.c:terminal_newtab(), at the very end of it,
we see a call to term_set_swicth_accel(), which initializes
Alt+<TabNumber> key sequence to activate the newly created
tab.  This routine (terminal_newtab()) gets called for _Every_
new tab, even for the first one.  So we're getting Alt+1
always bound to "Switch to Tab#1" function, even if we only
have single tab and there's nothing to switch from/to.

The right solution is to bind both Alt+1 and Alt+2 when
creating SECOND tab instead, and unbind both when the
second tab gets closed (so we're with only one tab again).
This is actually exactly how gnome-terminal (for example)
works.

But for that, my knowlege of the code is too limited to
produce a fix.  Should be trivial to do for the upstream,
however (hopefully anyway).

Thanks!

/mjt





Set Bug forwarded-to-address to 'https://sourceforge.net/tracker/?func=detail&aid=3006779&group_id=180858&atid=894869'. Request was from Andrew Lee (李健秋) <ajqlee@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 10:51:02 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 22 Jul 2010 16:36:07 GMT) Full text and rfc822 format available.

Reply sent to Andrew Lee (李健秋) <ajqlee@debian.org>:
You have taken responsibility. (Wed, 28 Jul 2010 19:21:10 GMT) Full text and rfc822 format available.

Notification sent to Giacomo Catenazzi <cate@debian.org>:
Bug acknowledged by developer. (Wed, 28 Jul 2010 19:21:10 GMT) Full text and rfc822 format available.

Message #31 received at 539952-close@bugs.debian.org (full text, mbox):

From: Andrew Lee (李健秋) <ajqlee@debian.org>
To: 539952-close@bugs.debian.org
Subject: Bug#539952: fixed in lxterminal 0.1.8-1
Date: Wed, 28 Jul 2010 19:17:14 +0000
Source: lxterminal
Source-Version: 0.1.8-1

We believe that the bug you reported is fixed in the latest version of
lxterminal, which is due to be installed in the Debian FTP archive:

lxterminal_0.1.8-1.debian.tar.bz2
  to main/l/lxterminal/lxterminal_0.1.8-1.debian.tar.bz2
lxterminal_0.1.8-1.dsc
  to main/l/lxterminal/lxterminal_0.1.8-1.dsc
lxterminal_0.1.8-1_amd64.deb
  to main/l/lxterminal/lxterminal_0.1.8-1_amd64.deb
lxterminal_0.1.8.orig.tar.gz
  to main/l/lxterminal/lxterminal_0.1.8.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 539952@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Lee (李健秋) <ajqlee@debian.org> (supplier of updated lxterminal package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 28 Jul 2010 14:35:45 -0400
Source: lxterminal
Binary: lxterminal
Architecture: source amd64
Version: 0.1.8-1
Distribution: unstable
Urgency: low
Maintainer: Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>
Changed-By: Andrew Lee (李健秋) <ajqlee@debian.org>
Description: 
 lxterminal - desktop independent vte-based terminal emulator
Closes: 539952
Changes: 
 lxterminal (0.1.8-1) unstable; urgency=low
 .
   [ Andrew Lee (李健秋) ]
   * New upstream release
     - Options -e and --command now consume arguments to the end of the line
     - Preference dialog now GtkBuilder based, must have external XML file
       to operate successfully
     - Fixed to either connect or bind to the communication socket
     - Fixed resize when font changed from larger to smaller
     - Honor --working-directory with --command
     - Configuration now applies immediately
     - User preference for cursor shape
     - User preference for audible bell
     - User preference for allow bold
     - User preference for hide Close button
     - Middle click on tab closes it
     - User can edit tab labels
   * Backport Alt-n behavior patch from git(Closes:#539952)
   * Backport hide menu bar patch from git
   * Corrected source format options
   * Bumped Standard-version to 3.9.1
 .
   [ Julien Lavergne ]
   * debian/copyright:
    - Update upstream authors.
    - Update copyright file.
   * debian/control:
    - Bump build-depends on libgtk2.0-dev to (>= 2.12.0).
    - Bump build-depends on libvte-dev to (>= 0.17.1).
   * debian/manpages:
    - Add upstream manpage.
   * debian/patches:
    - Remove previous patch.
Checksums-Sha1: 
 7dd971338c53718c54ec72712f21c8bdcb52b01d 1372 lxterminal_0.1.8-1.dsc
 795198efac037694016137b716637b9eaea3a596 280116 lxterminal_0.1.8.orig.tar.gz
 86e08ec2f7dd92564815509fecf3cfa543267c96 10878 lxterminal_0.1.8-1.debian.tar.bz2
 e63e7c3e0dc3ac4d9f16429c95e6efdf25e7f1b9 92748 lxterminal_0.1.8-1_amd64.deb
Checksums-Sha256: 
 1b8ef8491953f084e773061aae72de12e4b53c2a64fd59f9e0d3b0ac743cbeac 1372 lxterminal_0.1.8-1.dsc
 d856615c2bded8d270ec660a37d31533760e4cd6b419e8a586b05cb356bab9c6 280116 lxterminal_0.1.8.orig.tar.gz
 27b176504a3e4c475f94ec243142ce9e1ba798f1f39c6fa041bf85f1cf4aa526 10878 lxterminal_0.1.8-1.debian.tar.bz2
 c02f00cdb8d6c6b010de4a0eeb216e6bef53b156b8f23bebad544a2958c97012 92748 lxterminal_0.1.8-1_amd64.deb
Files: 
 70ce0a1421a13eaddcf7aab82bd4c462 1372 x11 extra lxterminal_0.1.8-1.dsc
 97874f553493cbca5082b8d9ef99072e 280116 x11 extra lxterminal_0.1.8.orig.tar.gz
 83e55d6c71fc8b91f7e6495fdcf04259 10878 x11 extra lxterminal_0.1.8-1.debian.tar.bz2
 a7f54327be65705b5350f3bc15f3e898 92748 x11 extra lxterminal_0.1.8-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxQfnIACgkQnQYz4bYlCYX8mACfesfYgzYtntozVACs9ymRq5/S
ErAAoKRBaLdfTeO9kmPPDgOB3oepDDnw
=ibtG
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>:
Bug#539952; Package lxterminal. (Sun, 01 Aug 2010 02:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian LXDE Packaging Team <pkg-lxde-maintainers@lists.alioth.debian.org>. (Sun, 01 Aug 2010 02:45:08 GMT) Full text and rfc822 format available.

Message #36 received at 539952@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: Debian Bug Tracking System <539952@bugs.debian.org>
Subject: Passes alt-number keys inconsistently
Date: Sat, 31 Jul 2010 23:41:12 -0300
Package: lxterminal
Version: 0.1.8-2
Severity: normal

Well, now what I'm seeing in 0.1.8-2 is that alt-number keys are passed inconsistently.
As before we have alt-1 not being passed in the first terminal, even if it is the only
terminal open.  Also, if I have two terminals open and alternate between alt-1 and alt-2
several times, sometimes it will *just* switch terminals and sometimes it will switch
terminals *and* send it the alt-1 or alt-2.  There is no predictable pattern that I can
discern to when this will happen.

Ben

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing'), (800, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages lxterminal depends on:
ii  libatk1.0-0                   1.30.0-1   The ATK accessibility toolkit
ii  libc6                         2.11.1-3   Embedded GNU C Library: Shared lib
ii  libcairo2                     1.8.10-4   The Cairo 2D vector graphics libra
ii  libfontconfig1                2.8.0-2.1  generic font configuration library
ii  libfreetype6                  2.3.11-1   FreeType 2 font engine, shared lib
ii  libglib2.0-0                  2.24.1-1   The GLib library of C routines
ii  libgtk2.0-0                   2.20.1-1   The GTK+ graphical user interface 
ii  libpango1.0-0                 1.28.0-1   Layout and rendering of internatio
ii  libvte9                       1:0.24.1-1 Terminal emulator widget for GTK+ 
ii  libx11-6                      2:1.3.3-3  X11 client-side library

lxterminal recommends no packages.

lxterminal suggests no packages.

-- no debconf information




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 09 Aug 2011 07:39:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:28:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.